<?php
require_once ("../core/entity/Abandoned.php");
require_once ("../core/Utils/Mail.php");
$abandoned = new Abandoned();
$user = new UserAccount();
$mail = new Mail();
$map = array();
$list = $abandoned->GetRecords(0);
$admins = $user->GetRecordsAdmin();
foreach ($list as $item) {
  $data = json_decode($item["FullDate"], true);
  $mail->ShortDescription = "Finaliza tu orden ";
  $mail->LongDescription = "Recientemente has creado una orden en Precise Translations, pero hemos detectado que no finalizaste tu sesión, puedes apoyarte en el siguiente link para finalizar tu cotización o si te fue complicado realizarla, puedes comunicarte en nuestra zona de contacto directamente";
  $mail->DestinationName = $data["FullName"];
  $mail->Url = "https://roc.work/precisetranslations/wizard/index.php?salt=".$item["Salt"];
  $mail->DirectMessage($data["Email"], "Precise translations - Finaliza tu cotización");
  $abandoned->Salt = $item["Salt"];
  $abandoned->SetSent();
  foreach ($admins as $admin) {
    $mail->ShortDescription = "Orden no completada ";
    $mail->LongDescription = "Recientemente se ha creado una orden en Precise Translations pero sin información válida. los datos de contacto de la persona son los siguientes:";
    $mail->DestinationName = $admin["FullName"];
    $mail->Url = "https://roc.work/precisetranslations/wizard/index.php?salt=".$item["Salt"];
    $mail->DirectMessage($admin["Email"], "Precise translations - Carrito abandonado");
  }


}
